/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

/**
 * @api
 */
define([
    'jquery',
    'Magento_Ui/js/form/element/boolean',
    'underscore',
    'Magento_Checkout/js/model/payment/additional-validators',
    'FiloBlu_CheckoutExtend/js/model/invoice_validator',
    'mage/validation',
    'jquery/ui',
    'jquery/validate'
], function ($, Element, _, additionalValidators, invoiceValidator) {
    'use strict';
    additionalValidators.registerValidator(invoiceValidator);
    return Element.extend({
        onElementRender: function () {

            $.validator.addMethod(
                    'validate-invoice-fiscal-code-or-vat',
                    function (value) {
                       
                        return ($('#fiscal-code').val() || $('#vat-number').val());
                    },
                    $.mage.__('Fiscal Code Or VAT Number Is Required If You Request Invoice')
                    );

        },

        validate: function () {


//            if (this.checked()) {
//
//                var isValid = true;
//
//                var errMsg = "";
//                if (!$('#fiscal-code').val() && !$('#vat-number').val()) {
//                    errMsg = "Fiscal Code Or VAT Number Is Required";
//                    isValid = false;
//                } else {
//                    isValid = $("#co-payment-form").valid();
//                    alert("aa");
//                }
//
//                if (!isValid) {
//                    this.error(errMsg);
//                    this.bubble('error', errMsg);
//                    this.source.set('params.invalid', true);
//                } else {
//                    this.error("");
//                    this.bubble('error', "");
////                    this.source.set('params.invalid', false);
//                }
//
//                return {
//                    valid: isValid,
//                    target: this
//                };
//
//            } else {
//                this.error("");
//                this.bubble('error', "");
//
//                return {
//                    valid: true,
//                    target: this
//                };
//            }


        },
//        onUpdate: function () {
//            this.bubble('update', this.hasChanged());
//
////            this.validate();
//        },
    });
});
